|  | Home |

# QMailThreadId Class Reference

The QMailThreadId class is used to identify threads stored by QMailStore. More...

        #include <QMailThreadId>

This class is under development and is subject to change.

- List of all members, including inherited members

## Public Functions

| QMailThreadId ()
| QMailThreadId ( quint64 value )
bool | isValid () const
| operator QVariant () const
bool | operator!= ( const QMailThreadId & other ) const
bool | operator< ( const QMailThreadId & other ) const
bool | operator== ( const QMailThreadId & other ) const

## Related Non-Members

typedef | QMailThreadIdList

## Detailed Description

The QMailThreadId class is used to identify threads stored by QMailStore.

QMailThreadId is a class used to represent threads stored by the QMailStore, identified by their unique numeric internal indentifer.

A QMailThreadId instance can be tested for validity, and compared to other instances for equality. The numeric value of the identifier is not intrinsically meaningful and cannot be modified.

See also QMailThread and QMailStore::thread().

## Member Function Documentation

### QMailThreadId::QMailThreadId ()

Construct an uninitialized QMailThreadId, for which isValid() returns false.

### QMailThreadId::QMailThreadId ( quint64 value )

Construct a QMailThreadId with the supplied numeric identifier value.

### bool QMailThreadId::isValid () const

Returns true if this object has been initialized with an identifier.

### QMailThreadId::operator QVariant () const

Returns a QVariant containing the value of this thread identfier.

### bool QMailThreadId::operator!= ( const QMailThreadId & other ) const

Returns true if this object's identifier value differs from that of other.

### bool QMailThreadId::operator< ( const QMailThreadId & other ) const

Returns true if this object's identifier value is less than that of other.

### bool QMailThreadId::operator== ( const QMailThreadId & other ) const

Returns true if this object's identifier value is equal to that of other.

## Related Non-Members

### typedef QMailThreadIdList